## ros-melodic-smacc 1.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.7)
project(smacc)

## Compile as C++11, supported in ROS Kinetic and newer
# add_compile_options(-std=c++11)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  actionlib
  roscpp
  pluginlib
  smacc_msgs
  controller_manager_msgs
)


################################################
## Declare ROS messages, services and actions ##
################################################


################################################
## Declare ROS dynamic reconfigure parameters ##
################################################

###################################
## catkin specific configuration ##
###################################

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES smacc
  CATKIN_DEPENDS actionlib roscpp smacc_msgs controller_manager_msgs smacc_msgs message_runtime
#  DEPENDS system_lib
)

###########
## Build ##
###########

SET(CMAKE_CXX_STANDARD 14)
add_compile_options(-std=c++11) #workaround for ubuntu 16.04, to extinguish

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

file(GLOB_RECURSE ${PROJECT_NAME}_IncludeFilesPaths "*.h")
add_custom_target(${PROJECT_NAME}_IncludeFilesTarget SOURCES ${${PROJECT_NAME}_IncludeFilesPaths})

# sources
file(GLOB_RECURSE SRC_FILES "src/smacc/*.cpp" "src/smacc/introspection/*.cpp" "src/smacc/state_reactors/*.cpp") # opcionalmente GLOB

add_library(${PROJECT_NAME} ${SRC_FILES})

## Add cmake target dependencies of the executable
## same as for the library above
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

## Specify libraries to link a library or executable target against
target_link_libraries(${PROJECT_NAME}
   ${catkin_LIBRARIES}
 )

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
   FILES_MATCHING PATTERN "*.h"
   PATTERN ".svn" EXCLUDE
)

#############
## Testing ##
#############

=== debian/changelog ===
ros-melodic-smacc (1.3.2-1bionic) bionic; urgency=high

  * Progressing on transition log
  * dynamic behavior
  * progress on viewer, modestates and history mode
  * smacc megastate example
  * missing changes on previous commit
  * more improvements on status message on the viewer and the smacc core
  * some stable version of the viewer, code cleaning, fixes on dancebot
  * progress in the viewer, creating a new concept of transition tag
  * progress in the viewer
  * SMACC improvements on the viewer and loop branching funcionality
  * progressing in the smacc viewer
  * fixing logic units event source information
  * progressing in viewer and metainformation
  * progressing in the viewer and adding more metaknoledge about triggering events of logic units
  * progress in the viewer and examples
  * fixing eveng aggregator compilation issue
  * more fixings and progressing to the smacc_viewer
  * recurrent pattern for sensors and substate behaviors
  * template recurrent pattern, string type walker, showing string for smacc viewer
  * adding transition file
  * moving behavior creation of sm_dance_bot to static staticConfigure
  * action client moving to event convention Ev<TSource>
  * logic units, better output of the state machine knowledge at the startup
  * StateTransition info structure
  * creating static staticConfigure functionality
  * removing obsolete state funcionality
  * broken build orthogonal fix
  * changes on architecture, orthogonal role, client role and component role changes, fixing all examples
  * adding service client
  * smacc_msgs dependencies
  * smacc_msgs dependencies
  * gh-pages travis
  * ff pattern and spattern first implementation
  * fixing build
  * testing status message, creation of rviz display plugin, refactoring of sm_dance_bot.launch to make it lightweight, readme.md for launching
  * adding SmaccStatus message funcionality
  * PackML inspired funcionalities for SM: stop, estop, reset
  * several improvements: adding topicPublisherClient, fixing install build, further testing of sm_dance_bot on install workspace
  * adding publisher client
  * working on fixing travis build
  * working on fixing travis
  * superstates improving the viewer for the dance_bot
  * many core fixes and refactorings, substate behavior destroying, dance_bot keyboard separated in two files, topic sensor separated in two files too for the client and the substate behavior
  * progressing on keyboard
  * introducing the client concept and moving smacc topic subscriber to the smacc 'core' package
  * ClMultiroleSensor and TopicSubscriber
  * detaching substatebehaviors from component and renaming class refactoring
  * making smacc_viewer run and also refactoring smacc_state_info headers
  * Merge branch 'master' of https://github.com/reelrbtx/SMACC
  * minor changes
  * Minor commenting edits
  * more improvements on sensor topics keyboard events, and architecture improvements
  * refactoring smacc substate behaviors and states
  * changes on code
  * better rosout and some progress on sm_dance_bot and fixing travis build
  * runtime testing of examples
  * hard renaming - namming convention - initial integration of smach_viewer
  * Folder Renaming
  * SMACC building
  * Merge branch 'master' of https://github.com/reelrbtx/SMACC
  * fixing smacc for melodic
  * c++11 for indigo in some projects
  * Merge branch 'master' into indigo-devel
  * removing boost demangle dependency to make build indigo
  * makin build SMACC for indigo
  * Merge branch 'master' into indigo-devel
  * merge on melodic
  * updating backward and forward local planners
  * Merge remote-tracking branch 'origin/master' into melodic-devel
  * Merge branch 'master' into indigo-devel
  * updating cmakelists
  * Merge branch 'master' of https://github.com/pabloinigoblasco/SMACC
  * Merge pull request #1 <https://github.com/reelrbtx/SMACC/issues/1> from reelrbtx/master
    merging
  * smacc improvements
  * minor
  * navigation improvements and syntax improvements in example
  * final waypoints tests
  * progress on waypoints
  * renaming getglobalData setGlobalData
  * authory in code files and more in documentation
  * important refactoring and fixes, and the creation of the radial_motion example
  * syntax improvement to remove the context from smacc code
  * adapting to the smacc requiresComponent method refactoring
  * refactoring smacc to support other kind of plugins beyond actionclients, such as the odom tracker, also ading a custom radial_motion_example independent to the reel
  * refactoring SMACC to contain navigation plugins
  * adding planners to SMACC
  * package version
  * package.xml format
  * adding feedback message information to feedback events
  * syntax improvement for better action result reaction
  * some refactoring on smacc code
  * more on documentation
  * fixing ros parameters
  * Tool orthogonal line and wiki documentation
  * cleaning and refactoring smacc library
  * adding tool orthogonal line
  * Adapting to smacc feedback message improvemnts. Now, the transitions reacts on these action feedback messages, instead of action results
  * minor changes on radial motion sample
  * feedback message support
  * refactoring, renamings, documenting smacc
  * some more on style
  * more comments and style
  * some more comments
  * large refactoring of the smacc example code and comments
  * minor
  * initial version of radial motion example
  * going forward to radial example
  * minor to show some example
  * going forward to smacc
  * minor fixes
  * initials on smacc
  * Moved SMACC to it's own repo..
  * Contributors: Pablo Inigo Blasco, Pablo Iñigo Blasco, mailto:brett2@reelrobotics.com, brettpac, travis

 -- Pablo Inigo Blasco <pablo@ibrobotics.com>  Thu, 17 Nov 2022 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-smacc
Section: misc
Priority: optional
Maintainer: Pablo Inigo Blasco <pablo@ibrobotics.com>
Build-Depends: debhelper (>= 9.0.0), liblog4cxx-dev, ros-melodic-actionlib, ros-melodic-actionlib-msgs, ros-melodic-catkin, ros-melodic-controller-manager-msgs, ros-melodic-message-generation, ros-melodic-pluginlib, ros-melodic-ros-control, ros-melodic-roscpp, ros-melodic-std-msgs, ros-noetic-smacc-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-smacc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblog4cxx-dev, ros-melodic-actionlib, ros-melodic-actionlib-msgs, ros-melodic-controller-manager-msgs, ros-melodic-message-runtime, ros-melodic-pluginlib, ros-melodic-ros-control, ros-melodic-roscpp, ros-melodic-std-msgs, ros-noetic-smacc-msgs
Description: SMACC is a ROS/C++ library to implement in easy and systematic way UML StateCharts (AKA state machines).
 SMACC is inspired by the SMACH ROS package and it is built on top of Boost StateChart library. Developed by Reel Robotics.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-smacc//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
